#ifndef _Handle_PGeom_Axis2Placement_HeaderFile
#define _Handle_PGeom_Axis2Placement_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PGeom_AxisPlacement_HeaderFile
#include <Handle_PGeom_AxisPlacement.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PGeom_AxisPlacement);
class PGeom_Axis2Placement;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PGeom_Axis2Placement);

class Handle(PGeom_Axis2Placement) : public Handle(PGeom_AxisPlacement) {
  public:

    Handle(PGeom_Axis2Placement)():Handle(PGeom_AxisPlacement)() {} 
    Handle(PGeom_Axis2Placement)(const Handle(PGeom_Axis2Placement)& aHandle) : Handle(PGeom_AxisPlacement)(aHandle) 
     {
     }

    Handle(PGeom_Axis2Placement)(const PGeom_Axis2Placement* anItem) : Handle(PGeom_AxisPlacement)((PGeom_AxisPlacement *)anItem) 
     {
     }

    Handle(PGeom_Axis2Placement)& operator=(const Handle(PGeom_Axis2Placement)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PGeom_Axis2Placement)& operator=(const PGeom_Axis2Placement* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PGeom_Axis2Placement* operator->() const 
     {
      return (PGeom_Axis2Placement *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PGeom_Axis2Placement) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
